# $Revision: 1.39.4.2 $, $Date: 2006/05/18 21:40:57 $
Summary:	Utility to ease the reporting of bugs within the GNOME
Summary(pl):	Narzdzie uatwiajce zgaszanie bdw w rodowisku GNOME
Name:		bug-buddy
Version:	2.14.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/bug-buddy/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	4fb288adc8f67cbfb8886ddf7b400530
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-desktop-devel >= 2.14.0
BuildRequires:	gnome-doc-utils >= 0.4.1
BuildRequires:	gnome-menus-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libxml2-devel >= 1:2.6.21
BuildRequires:	libxslt-progs >= 1.1.15
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.3.8
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	libgnomeui >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submission process. It can automatically obtain stack traces from core
files or crashed applications. Debian and KDE bug tracking systems are
also supported.

%description -l pl
bug-budy jest narzdziem przeprowadzajcym Ci przez proces skadania
raportu o bdzie w rodowisku GNOME. Potrafi on automatycznie uzyska
lady ze stosu (backtrace) z plikw core lub wywracajcych si
aplikacji. Wspierane s rwnie systemy obsugi bdw Debiana oraz
KDE.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__gnome_doc_common}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install bug-buddy.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%preun
%gconf_schema_uninstall bug-buddy.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO docs/multiple_bts.txt
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_mandir}/man1/*
%{_omf_dest_dir}/*
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/bug-buddy.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bug-buddy.spec,v $
Revision 1.39.4.2  2006/05/18 21:40:57  baggins
- release 2
- strict reqs

Revision 1.39.4.1  2006/05/15 15:46:44  baggins
- up to 2.14.0

Revision 1.40  2006/04/02 15:01:06  freetz
- merged from DEVEL

Revision 1.39.2.3  2006/03/12 21:53:04  freetz
- 2.14.0

Revision 1.39.2.2  2006/02/28 14:59:31  freetz
- 2.13.90

Revision 1.39.2.1  2006/02/01 22:33:51  freetz
- 2.13.0

Revision 1.39  2005/10/04 07:58:48  paladine
- updated to 2.12.1

Revision 1.38  2005/09/07 10:49:20  aflinta
- merged form DEVEL, 2.12.0

Revision 1.37.2.4  2005/08/24 07:45:20  paladine
- updated to 2.11.92
- sorted %%files
- itemize schemas

Revision 1.37.2.3  2005/08/18 05:52:41  aflinta
- rebuild with cairo, rel. 2

Revision 1.37.2.2  2005/07/23 11:10:41  freetz
- 2.11.1

Revision 1.37.2.1  2005/07/12 12:52:55  freetz
- 2.11.0, updated BRs

Revision 1.37  2005/06/14 19:25:31  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.36  2005/05/25 18:27:23  megabajt
- rel. 5 for fixed desktop patch

Revision 1.35  2005/04/08 12:17:01  paladine
- rel. 4, STBR again :) ( but first gnome-doc-utils ;)

Revision 1.34  2005/04/08 11:54:23  freetz
- BR: gnome-doc-utils

Revision 1.33  2005/04/08 10:39:50  paladine
- missing BR, rel. 3

Revision 1.32  2005/04/08 09:44:20  paladine
- new style macros
- STBR

Revision 1.31  2005/04/06 11:18:31  paladine
- missing umask 022

Revision 1.30  2005/04/05 23:13:17  paladine
- wrr, missing BR

Revision 1.29  2005/04/05 22:43:07  paladine
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- don't package deprecated gnome-mime-data stuff
- rel. 2

Revision 1.28  2005/03/20 10:29:29  paladine
- merged from DEVEL

Revision 1.27.4.4  2005/03/11 14:10:09  aflinta
- up to verison 2.10.0

Revision 1.27.4.3  2005/02/28 16:23:42  paladine
- updated to 2.9.92
- proper license

Revision 1.27.4.2  2005/02/10 18:26:30  grzegol
- updated to 2.9.91

Revision 1.27.4.1  2005/02/08 21:16:54  grzegol
- updated to 2.9.3
- removed outdated omf patch

Revision 1.27  2004/12/01 23:49:07  grzegol
- added omf patch (fix bug-buddy-C.omf file)
- rel. 3

Revision 1.26  2004/11/30 13:58:16  paladine
- sorted BRs
- added desktop patch
- rel 2

Revision 1.25  2004/09/13 10:45:11  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.24.2.3  2004/09/08 20:43:21  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.24.2.2  2004/08/21 20:37:43  aflinta
- up to version 2.7.91

Revision 1.24.2.1  2004/06/05 17:36:31  freetz
- 2.7.0 - gnome 2.8 developement series

Revision 1.24  2004/04/16 13:20:55  grzegol
- updated to 2.6.1

Revision 1.23  2004/03/22 18:16:14  aflinta
- merged from DEVEL, up to version 2.6.0

Revision 1.22.2.6  2004/03/16 15:03:07  grzegol
- updated to 2.5.92

Revision 1.22.2.5  2004/02/24 14:24:41  grzegol
- updated to 2.5.90
- added en_CA.po file (Source1) - it's missing in sources
- updated BRs

Revision 1.22.2.4  2004/02/15 21:53:38  grzegol
- updated to 2.5.3
- added locale-names patch (changes locale no -> nb)
- regenerate al/ac/am
- don't install schemas during build

Revision 1.22.2.3  2003/12/27 14:54:28  grzegol
- updated to 2.5.2

Revision 1.22.2.2  2003/12/15 11:20:23  wiget
- BR fix

Revision 1.22.2.1  2003/12/15 11:16:05  wiget
- 2.5.1

Revision 1.22  2003/11/09 18:25:20  grzegol
- updated to 2.4.1.1

Revision 1.21  2003/10/24 11:00:17  trojan
- updated to 2.4.1

Revision 1.20  2003/09/22 18:36:21  havner
- more BR

Revision 1.19  2003/09/01 14:51:37  grzegol
- updated to 2.4.0

Revision 1.18  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/06 16:38:33  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.16  2003/08/04 10:25:26  grzegol
- updated to 2.3.4
- more docs

Revision 1.15  2003/07/15 16:45:28  aflinta
- version 2.3.3

Revision 1.14  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.13  2003/06/09 21:27:07  aflinta
- version 2.3.2

Revision 1.12  2003/05/27 08:01:33  trojan
- added Source-md5

Revision 1.11  2003/05/25 05:46:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/19 06:53:27  aflinta
- version 2.3.1

Revision 1.9  2003/05/12 22:33:57  aflinta
- version 2.2.104

Revision 1.8  2003/03/10 21:51:40  aflinta
- updated to version 2.2.103

Revision 1.7  2003/02/04 07:19:54  trojan
- updated to 2.2.102

Revision 1.6  2003/01/20 11:29:19  trojan
- updated to 2.2.101

Revision 1.5  2003/01/01 12:34:42  aflinta
- updated to version 2.2.100

Revision 1.4  2002/12/17 00:27:50  aflinta
- cleanups

Revision 1.3  2002/12/17 00:22:42  aflinta
- updated to version 2.2.99

Revision 1.2  2002/12/05 11:35:14  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.1  2002/06/29 17:39:25  misiek
- initial pld release

